<p align="center">
    <img src="./misc/logo/bouncer.svg" width="250px" />
</p>

# Bouncer

Serveur mandataire inverse (_"reverse proxy"_) avec fonctionnalités avancées pilotable par API REST.

## Fonctionnalités

- Authentification unique basée sur entêtes HTTP ("Trusted headers SSO") avec:
  - Fournisseur d'identité OpenID Connect ;
  - Basic Auth ;
  - Origine réseau ;
- Gestion de files d'attente dynamiques pour maîtriser la charge sur les services protégés ;
- Réécriture dynamique des attributs (notamment entêtes HTTP) des requêtes/réponses via un DSL.

## Documentation

[Voir le répertoire `doc/`](./doc)

## Licence

AGPL-3.0
